Page MenuHomePhabricator

Update Special:Block, Special:Unblock, API:Block, and API:Unblock to set/remove Partial Blocks
Closed, ResolvedPublic5 Story Points

Description

Acceptance Criteria

  • On Special:Block, add a section under the username/IP input box for Type
  • The options should be two radio buttons with labels and help description text.
  • The top radio button, which should be selected by default' should read Sitewide. When a block is saved with this selected, the block should behave exactly as it does today.
  • The second radio button should read Partial. When selected, a TagMultiselectWidget OOUI element should allow for admins to type up to 10 pages from which the user should be blocked from editing.
    • Page blocks can only be set for existing pages.
      • Validation should occur in the input field or via error message when the "block this user" button is pushed — whichever is simpler
    • Pages can be from any namespace, the user must type in the namespace and colon (e.g. Template:Foobar)
  • API:Block should be updated to allow a site-wide OR partial block and the partial block configuration (pages for now, namespaces in the future)
  • API:Block and Special:Unblock to delete the restrictions (within a transaction).
  • Ensure that expired blocks clean up the restrictions.

Event Timeline

dbarratt created this task.Jun 13 2018, 1:36 PM
dbarratt triaged this task as Normal priority.

@TBolliger Can we drop this as a requirement?

up to 10 pages

Vvjjkkii renamed this task from Update Special:Block to set Partial Blocks to 23aaaaaaaa.Jul 1 2018, 1:04 AM
Vvjjkkii raised the priority of this task from Normal to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
Frakir removed a subscriber: Frakir.Jul 1 2018, 5:16 PM
Vachovec1 renamed this task from 23aaaaaaaa to Update Special:Block to set Partial Blocks.Jul 1 2018, 5:55 PM
Vachovec1 lowered the priority of this task from High to Normal.
Vachovec1 updated the task description. (Show Details)
Vachovec1 added a subscriber: Aklapper.
dbarratt claimed this task.
dbarratt removed dbarratt as the assignee of this task.
dbarratt claimed this task.
dbarratt updated the task description. (Show Details)Aug 23 2018, 5:54 PM
dbarratt updated the task description. (Show Details)

Change 455736 had a related patch set uploaded (by Dbarratt; owner: Dbarratt):
[mediawiki/core@master] Update Special:Block to set Partial Blocks

https://gerrit.wikimedia.org/r/455736

dbarratt renamed this task from Update Special:Block to set Partial Blocks to Update Special:Block & API:Block to set Partial Blocks.
dbarratt updated the task description. (Show Details)
dbarratt added a subscriber: David_Hedlund.
dbarratt renamed this task from Update Special:Block & API:Block to set Partial Blocks to Update Special:Block, Special:Unblock, API:Block, and API:Unblock to set/remove Partial Blocks.Aug 28 2018, 6:58 PM
dbarratt updated the task description. (Show Details)Aug 28 2018, 7:00 PM
Frakir removed a subscriber: Frakir.Aug 28 2018, 7:15 PM

Change 456313 had a related patch set uploaded (by Mooeypoo; owner: Mooeypoo):
[mediawiki/core@master] TitlesMultiselectWidget: Add a widget that allows selection of multiple titles

https://gerrit.wikimedia.org/r/456313

-jkb- removed a subscriber: -jkb-.Sep 26 2018, 7:55 AM

Change 456313 merged by jenkins-bot:
[mediawiki/core@master] TitlesMultiselectWidget: Add a widget that allows selection of multiple titles

https://gerrit.wikimedia.org/r/456313

Change 455736 merged by jenkins-bot:
[mediawiki/core@master] Update Special:Block to set Partial Blocks

https://gerrit.wikimedia.org/r/455736

dbarratt closed this task as Resolved.